package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class MonitorAlarmPhoneExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public MonitorAlarmPhoneExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andAlarmManIsNull() {
            addCriterion("alarm_man is null");
            return (Criteria) this;
        }

        public Criteria andAlarmManIsNotNull() {
            addCriterion("alarm_man is not null");
            return (Criteria) this;
        }

        public Criteria andAlarmManEqualTo(String value) {
            addCriterion("alarm_man =", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManNotEqualTo(String value) {
            addCriterion("alarm_man <>", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManGreaterThan(String value) {
            addCriterion("alarm_man >", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManGreaterThanOrEqualTo(String value) {
            addCriterion("alarm_man >=", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManLessThan(String value) {
            addCriterion("alarm_man <", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManLessThanOrEqualTo(String value) {
            addCriterion("alarm_man <=", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManLike(String value) {
            addCriterion("alarm_man like", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManNotLike(String value) {
            addCriterion("alarm_man not like", value, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManIn(List<String> values) {
            addCriterion("alarm_man in", values, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManNotIn(List<String> values) {
            addCriterion("alarm_man not in", values, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManBetween(String value1, String value2) {
            addCriterion("alarm_man between", value1, value2, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmManNotBetween(String value1, String value2) {
            addCriterion("alarm_man not between", value1, value2, "alarmMan");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleIsNull() {
            addCriterion("alarm_role is null");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleIsNotNull() {
            addCriterion("alarm_role is not null");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleEqualTo(String value) {
            addCriterion("alarm_role =", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleNotEqualTo(String value) {
            addCriterion("alarm_role <>", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleGreaterThan(String value) {
            addCriterion("alarm_role >", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleGreaterThanOrEqualTo(String value) {
            addCriterion("alarm_role >=", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleLessThan(String value) {
            addCriterion("alarm_role <", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleLessThanOrEqualTo(String value) {
            addCriterion("alarm_role <=", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleLike(String value) {
            addCriterion("alarm_role like", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleNotLike(String value) {
            addCriterion("alarm_role not like", value, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleIn(List<String> values) {
            addCriterion("alarm_role in", values, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleNotIn(List<String> values) {
            addCriterion("alarm_role not in", values, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleBetween(String value1, String value2) {
            addCriterion("alarm_role between", value1, value2, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmRoleNotBetween(String value1, String value2) {
            addCriterion("alarm_role not between", value1, value2, "alarmRole");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneIsNull() {
            addCriterion("alarm_phone is null");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneIsNotNull() {
            addCriterion("alarm_phone is not null");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneEqualTo(String value) {
            addCriterion("alarm_phone =", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneNotEqualTo(String value) {
            addCriterion("alarm_phone <>", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneGreaterThan(String value) {
            addCriterion("alarm_phone >", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("alarm_phone >=", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneLessThan(String value) {
            addCriterion("alarm_phone <", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneLessThanOrEqualTo(String value) {
            addCriterion("alarm_phone <=", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneLike(String value) {
            addCriterion("alarm_phone like", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneNotLike(String value) {
            addCriterion("alarm_phone not like", value, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneIn(List<String> values) {
            addCriterion("alarm_phone in", values, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneNotIn(List<String> values) {
            addCriterion("alarm_phone not in", values, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneBetween(String value1, String value2) {
            addCriterion("alarm_phone between", value1, value2, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andAlarmPhoneNotBetween(String value1, String value2) {
            addCriterion("alarm_phone not between", value1, value2, "alarmPhone");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeIsNull() {
            addCriterion("detection_type is null");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeIsNotNull() {
            addCriterion("detection_type is not null");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeEqualTo(String value) {
            addCriterion("detection_type =", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeNotEqualTo(String value) {
            addCriterion("detection_type <>", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeGreaterThan(String value) {
            addCriterion("detection_type >", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeGreaterThanOrEqualTo(String value) {
            addCriterion("detection_type >=", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeLessThan(String value) {
            addCriterion("detection_type <", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeLessThanOrEqualTo(String value) {
            addCriterion("detection_type <=", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeLike(String value) {
            addCriterion("detection_type like", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeNotLike(String value) {
            addCriterion("detection_type not like", value, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeIn(List<String> values) {
            addCriterion("detection_type in", values, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeNotIn(List<String> values) {
            addCriterion("detection_type not in", values, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeBetween(String value1, String value2) {
            addCriterion("detection_type between", value1, value2, "detectionType");
            return (Criteria) this;
        }

        public Criteria andDetectionTypeNotBetween(String value1, String value2) {
            addCriterion("detection_type not between", value1, value2, "detectionType");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}